## kwallet-pam 5.27.4

=== debian/changelog ===
kwallet-pam (4:5.27.4-0xneon+22.04+jammy+release+build20) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:46:32 +0000

kwallet-pam (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:28:11 +0000

kwallet-pam (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:08:18 +0000

kwallet-pam (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:01:25 +0000

kwallet-pam (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:31:11 +0000

kwallet-pam (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:47:11 +0000

kwallet-pam (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:43:08 +0000

kwallet-pam (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:41:54 +0000

kwallet-pam (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:20:55 +0000

kwallet-pam (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:57:36 +0000

kwallet-pam (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:38:27 +0000

kwallet-pam (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:10:01 +0000

kwallet-pam (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:06:34 +0000

kwallet-pam (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:08:22 +0000

kwallet-pam (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:40:19 +0000

kwallet-pam (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:20:43 +0000

kwallet-pam (4:5.24.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Mar 2022 13:52:26 +0000

kwallet-pam (4:5.24.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Mar 2022 15:42:40 +0000

kwallet-pam (4:5.24.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Feb 2022 14:00:02 +0000

kwallet-pam (4:5.24.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Feb 2022 13:30:24 +0000

kwallet-pam (4:5.24.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Feb 2022 17:07:30 +0000

kwallet-pam (4:5.23.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jan 2022 10:33:16 +0000

kwallet-pam (4:5.23.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Nov 2021 14:26:29 +0000

kwallet-pam (4:5.23.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Nov 2021 17:50:15 +0000

kwallet-pam (4:5.23.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Oct 2021 14:05:24 +0000

kwallet-pam (4:5.23.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Oct 2021 15:34:09 +0000

kwallet-pam (4:5.23.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Oct 2021 10:20:30 +0000

kwallet-pam (4:5.22.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 13:34:36 +0000

kwallet-pam (4:5.22.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jul 2021 12:34:56 +0000

kwallet-pam (4:5.22.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jul 2021 11:50:00 +0000

kwallet-pam (4:5.22.2.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 19:47:30 +0000

kwallet-pam (4:5.22.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 17:55:00 +0000

kwallet-pam (4:5.22.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jun 2021 11:44:09 +0000

kwallet-pam (4:5.22.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Jun 2021 12:42:38 +0000

kwallet-pam (4:5.21.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 May 2021 15:55:14 +0000

kwallet-pam (4:5.21.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Apr 2021 13:40:55 +0000

kwallet-pam (4:5.21.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Mar 2021 13:36:53 +0000

kwallet-pam (4:5.21.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Mar 2021 16:59:21 +0000

kwallet-pam (4:5.21.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Feb 2021 20:53:38 +0000

kwallet-pam (4:5.21.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Feb 2021 16:15:28 +0000

kwallet-pam (4:5.20.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jan 2021 15:28:29 +0000

kwallet-pam (4:5.20.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Dec 2020 15:19:33 +0000

kwallet-pam (4:5.20.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Nov 2020 21:15:25 +0000

kwallet-pam (4:5.20.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Oct 2020 16:29:38 +0000

kwallet-pam (4:5.20.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Oct 2020 13:06:43 +0000

kwallet-pam (4:5.20.0-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.2.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf5wallet-dev,
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Git: https://invent.kde.org/neon/kde/kwallet-pam.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwallet-pam
Maintainer: Neon CI <neon@kde.org>

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends}
Breaks: pam-kwallet-init (<< 4:5.16.0)
Replaces: pam-kwallet-init (<< 4:5.16.0)
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by the KDE 4 and Kf5 version
 of the PAM integration.

Package: libpam-kwallet4
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

## kwallet-pam 5.27.5

=== CMakeLists.txt ===
project(pam_kwallet)
cmake_minimum_required(VERSION 3.16)
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )

include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMConfiguredInstall)

find_package(PAM REQUIRED)
find_package(LibGcrypt 1.5.0 REQUIRED)

find_program(SOCAT_EXECUTABLE socat)

if (SOCAT_EXECUTABLE)
  message (STATUS "Found socat executable: ${SOCAT_EXECUTABLE}")
else ()
  message (WARNING "socat is required for pam_kwallet to work")
endif ()

include_directories (
   ${PAM_INCLUDE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${LIBGCRYPT_INCLUDE_DIR}
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)

set(library_name "pam_kwallet5")

set(pam_kwallet_SRCS
   pam_kwallet.c
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

add_definitions(-DKWALLETD_BIN_PATH="${KWALLETD_BIN_PATH}")

if (APPLE)
LIST(APPEND pam_kwallet_SRCS
   pam_darwin.c
)
endif()

# Handle different PAM header styles:
#  - "Linux style" has pam_ext.h
#  - "BSD style" has pam_appl.h
#
find_file(PAM_EXT_PATH security/pam_ext.h)
find_file(PAM_APPL_PATH security/pam_appl.h)
if (PAM_EXT_PATH)
    add_definitions(-DHAVE_PAM_EXT)
endif()
if (PAM_APPL_PATH)
    add_definitions(-DHAVE_PAM_APPL)
endif()

set(CMAKE_REQUIRED_INCLUDES "string.h")
check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
set(CMAKE_REQUIRED_INCLUDES)

if (HAVE_EXPLICIT_BZERO)
    add_definitions(-DHAVE_EXPLICIT_BZERO)
endif()

add_library (${library_name} SHARED ${pam_kwallet_SRCS})
set_target_properties (${library_name} PROPERTIES PREFIX "")
target_link_libraries (${library_name}
   ${PAM_LIBRARIES}
   ${LIBGCRYPT_LIBRARIES}
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(TARGETS ${library_name} DESTINATION ${KDE_INSTALL_LIBDIR}/security)

configure_file(pam_kwallet_init.desktop.cmake ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop)

install(PROGRAMS pam_kwallet_init DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

ecm_install_configured_files(INPUT plasma-kwallet-pam.service.in @ONLY DESTINATION
        ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== debian/changelog ===
kwallet-pam (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:41 +0200

kwallet-pam (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:24:57 +0200

=== debian/control ===
Source: kwallet-pam
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf5wallet-dev (>= 5.102.0~),
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kwallet-pam
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
Rules-Requires-Root: no

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends},
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by all versions
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 5.27.7

=== debian/changelog ===
kwallet-pam (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:53:55 +0200

## kwallet-pam 5.27.8

=== debian/changelog ===
kwallet-pam (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:30 +0200

## kwallet-pam 5.27.9

=== debian/changelog ===
kwallet-pam (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:29 +0200

## kwallet-pam 5.27.10

=== debian/changelog ===
kwallet-pam (5.27.10-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Install PAM module into /usr, thanks to Michael Biebl (Closes:
    #1061699).

 -- Patrick Franz <deltaone@debian.org>  Fri, 02 Feb 2024 20:09:17 +0100

kwallet-pam (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:16:19 +0100

## kwallet-pam 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -14,7 +13,7 @@
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
	    -DKDE_INSTALL_LIBEXECDIR="/usr/share/libpam-kwallet-common"

## kwallet-pam 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,25 @@
+cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-cmake_minimum_required(VERSION 3.16)
-set(KF5_MIN_VERSION "5.102.0")
+set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.27.11")
-set(PROJECT_VERSION_MAJOR 5)
+set(PROJECT_VERSION "6.1.4")
+set(PROJECT_VERSION_MAJOR 6)
 
-find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+find_package (ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )
 
 include(CheckFunctionExists)
 include(KDEInstallDirs)
 include(KDEClangFormat)
 include(ECMConfiguredInstall)
+include(KDEGitCommitHooks)
 
 find_package(PAM REQUIRED)
-find_package(LibGcrypt 1.5.0 REQUIRED)
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(LIBGCRYPT REQUIRED IMPORTED_TARGET libgcrypt)
 
 find_program(SOCAT_EXECUTABLE socat)
 
@@ -28,7 +33,6 @@
    ${PAM_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
-   ${LIBGCRYPT_INCLUDE_DIR}
 )
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
@@ -40,9 +44,12 @@
    pam_kwallet.c
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+if (NOT KWALLETD_BIN_PATH)
+  message (STATUS "KWALLETD_BIN_PATH not set, trying KF6::Wallet")
+  find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     Wallet
-)
+  )
+endif ()
 
 add_definitions(-DKWALLETD_BIN_PATH="${KWALLETD_BIN_PATH}")
 
@@ -77,12 +84,14 @@
 set_target_properties (${library_name} PROPERTIES PREFIX "")
 target_link_libraries (${library_name}
    ${PAM_LIBRARIES}
-   ${LIBGCRYPT_LIBRARIES}
+   PkgConfig::LIBGCRYPT
 )
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 install(TARGETS ${library_name} DESTINATION ${KDE_INSTALL_LIBDIR}/security)

## kwallet-pam 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.1.4")
+set(PROJECT_VERSION "6.1.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kwallet-pam (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:15 +0100

kwallet-pam (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)
  * Apply epoch 4: found in Ubuntu :(

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 18:18:55 +0100

kwallet-pam (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:11 +0200

kwallet-pam (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Jul 2024 12:12:13 +0200

kwallet-pam (5.27.11-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 3c11e10bbb8f30efd8fc95bd0f0ff6487310fd11 to find
    libgcrypt using pkg-config rather than libgcrypt-config; patch
    upstream_Switch-to-pkgconfig-to-find-libgcrypt-allows-buildin.patch
    (Closes: #1071930)
    - add the pkgconf build dependency, now needed
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jul 2024 07:53:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               extra-cmake-modules (>= 6.2.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.102.0~),
+               libkf6wallet-dev (>= 6.2.0~),
                libpam0g-dev,
-               pkg-kde-tools,
-               qtbase5-dev,
+               libxkbcommon-dev,
+               pkgconf,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common
@@ -35,7 +37,7 @@
 Depends: libpam-kwallet-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: KWallet (Kf5) integration with PAM
+Description: KWallet integration with PAM
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet
  password instead of numerous different passwords and credentials.

## kwallet-pam 6.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-set(KF6_MIN_VERSION "6.2.0")
+set(KF6_MIN_VERSION "6.5.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.2.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_CXX_STANDARD 20)

## kwallet-pam 6.2.90

=== debian/changelog ===
kwallet-pam (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:17 +0100

kwallet-pam (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:57:04 +0100

kwallet-pam (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:22:12 +0100

kwallet-pam (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 19:00:07 +0100

kwallet-pam (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:46:13 +0200

kwallet-pam (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:41 +0200

kwallet-pam (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:38 +0200

kwallet-pam (6.1.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.
  * This single Plasma 6 package is required to keep the feature to unlock
    kwallet on session login working on Plasma 5, now that the kwallet
    binary is provided by the Qt6/KF6 version.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 01:11:47 +0200

kwallet-pam (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:22:55 +0200

kwallet-pam (6.1.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add dependency to kwallet6 which kwallet-pam needs to start / talk to.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:16:15 +0200

## kwallet-pam 6.2.91

=== debian/changelog ===
kwallet-pam (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:05 +0100

## kwallet-pam 6.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-set(KF6_MIN_VERSION "6.5.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.2.4")
+set(PROJECT_VERSION "6.3.0")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_CXX_STANDARD 20)
@@ -16,6 +16,7 @@
 include(KDEClangFormat)
 include(ECMConfiguredInstall)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
 find_package(PAM REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -35,8 +36,9 @@
    ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+ecm_set_disabled_deprecation_versions(QT 6.8.1
+    KF 6.9.0
+)
 
 set(library_name "pam_kwallet5")

=== debian/changelog ===
kwallet-pam (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:58:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.10.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf6wallet-dev (>= 6.2.0~),
+               libkf6wallet-dev (>= 6.10.0~),
                libpam0g-dev,
                libxkbcommon-dev,
                pkgconf,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common
@@ -34,7 +33,8 @@
 
 Package: libpam-kwallet5
 Architecture: any
-Depends: libpam-kwallet-common (>= ${source:Version}),
+Depends: kwallet6,
+         libpam-kwallet-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KWallet integration with PAM

## kwallet-pam 6.3.2

=== debian/changelog ===
kwallet-pam (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:29 +0100

## kwallet-pam 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.3.0")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kwallet-pam (6.3.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Rebuild kwallet-pam against kf6-kwallet 6.18.0 as it needs to launch
    ksecretd instead of kwalletd.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Oct 2025 18:35:32 +0200

kwallet-pam (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf6wallet-dev (>= 6.10.0~),
+               libkf6wallet-dev (>= 6.18.0~),
                libpam0g-dev,
                libxkbcommon-dev,
                pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kwallet-pam
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

## kwallet-pam 6.3.5

=== debian/changelog ===
kwallet-pam (4:6.3.5-0ubuntu2) questing; urgency=medium

  * Rebuild against kf6-kwallet 6.14.0.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 19:51:54 +0100

kwallet-pam (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:53 +0100

kwallet-pam (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:37 +0100

kwallet-pam (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:19:08 +0000

kwallet-pam (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:16:00 +0000

kwallet-pam (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:00 +0000

kwallet-pam (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:55:03 +0000

kwallet-pam (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:39 +0000

kwallet-pam (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:04:11 +0000

kwallet-pam (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:52 +0000

kwallet-pam (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:41 +0000

kwallet-pam (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf6wallet-dev (>= 6.18.0~),
+               libkf6wallet-dev (>= 6.14.0~),
                libpam0g-dev,
                libxkbcommon-dev,
                pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common
@@ -33,8 +34,7 @@
 
 Package: libpam-kwallet5
 Architecture: any
-Depends: kwallet6,
-         libpam-kwallet-common (>= ${source:Version}),
+Depends: libpam-kwallet-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KWallet integration with PAM

## kwallet-pam 6.4.4

=== debian/changelog ===
kwallet-pam (4:6.4.4-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:58:09 +0000

kwallet-pam (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:13:17 +0000

kwallet-pam (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

kwallet-pam (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:27:28 +0000

kwallet-pam (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:43:10 +0000

kwallet-pam (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:16:29 +0000

kwallet-pam (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:51:17 +0000

kwallet-pam (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:02:13 +0000

kwallet-pam (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:00:56 +0000

kwallet-pam (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:05:16 +0000

kwallet-pam (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:48:17 +0000

kwallet-pam (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:24:33 +0000

kwallet-pam (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:54:33 +0000

kwallet-pam (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:27:47 +0000

kwallet-pam (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:05:20 +0000

kwallet-pam (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:58:36 +0000

kwallet-pam (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:03:58 +0000

kwallet-pam (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:32:16 +0000

kwallet-pam (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:09:01 +0000

kwallet-pam (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:26:48 +0000

kwallet-pam (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:03:10 +0000

kwallet-pam (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:35:58 +0000

kwallet-pam (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:54:53 +0000

kwallet-pam (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:14:13 +0000

kwallet-pam (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:42:52 +0000

kwallet-pam (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:59:42 +0000

kwallet-pam (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:18:59 +0000

kwallet-pam (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:05 +1000

kwallet-pam (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:48:17 +0000

kwallet-pam (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:57:29 +0000

kwallet-pam (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:06:45 +0000

kwallet-pam (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:19:00 +0000

kwallet-pam (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:05:57 +0000

kwallet-pam (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:31:52 +0000

## kwallet-pam 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-set(KF6_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.3.4")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -37,7 +36,7 @@
 )
 
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+    KF 6.12.0
 )
 
 set(library_name "pam_kwallet5")

=== debian/changelog ===
kwallet-pam (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:56 +0100

kwallet-pam (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libkf6wallet-dev (>= 6.14.0~),
                libpam0g-dev,

## kwallet-pam 6.4.5+p24.04+vstable+git20251003.0952

=== debian/changelog ===
kwallet-pam (4:6.4.5+p24.04+vstable+git20251003.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 09:52:12 +0000

kwallet-pam (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:56:22 +0000

## kwallet-pam 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
kwallet-pam (4:6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:10 +0000

## kwallet-pam 6.4.5+p24.04+vstable+git20251017.0019

=== debian/changelog ===
kwallet-pam (4:6.4.5+p24.04+vstable+git20251017.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:19:47 +0000

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kwallet-dev,
               libgcrypt20-dev,
               libpam0g-dev,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Git: https://invent.kde.org/neon/kde/kwallet-pam.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwallet-pam
Maintainer: Neon CI <neon@kde.org>

Package: libpam-kwallet-common
Architecture: any
Depends: socat, ${misc:Depends}
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by the Kf6 version
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KWallet (KF6) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 6.4.5+p24.04+vunstable+git20250924.0909

=== debian/changelog ===
kwallet-pam (4:6.4.5+p24.04+vunstable+git20250924.0909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 09:09:46 +0000

## kwallet-pam 6.4.5+p24.04+vunstable+git20250930.1646

=== debian/changelog ===
kwallet-pam (4:6.4.5+p24.04+vunstable+git20250930.1646-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:46:18 +0000

## kwallet-pam 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-set(KF6_MIN_VERSION "6.14.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -35,8 +35,8 @@
    ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 set(library_name "pam_kwallet5")

=== debian/changelog ===
kwallet-pam (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:04:55 +0200

=== debian/control ===
Source: kwallet-pam
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libpam0g-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kwallet-pam
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
Rules-Requires-Root: no

Package: libpam-kwallet-common
Architecture: all
Depends: socat,
         ${misc:Depends},
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by all versions
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: kwallet6,
         libpam-kwallet-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 6.5.0

=== debian/changelog ===
kwallet-pam (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## kwallet-pam 6.5.0+p24.04+vstable+git20251021.0712

=== debian/changelog ===
kwallet-pam (4:6.5.0+p24.04+vstable+git20251021.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:12:42 +0000

kwallet-pam (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:23:46 +0000

## kwallet-pam 6.5.0+p24.04+vunstable+git20251021.0713

=== debian/changelog ===
kwallet-pam (4:6.5.0+p24.04+vunstable+git20251021.0713-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:13:13 +0000
